Searched refs:dev (Results 1 - 25 of 30) sorted by relevance

12

/lxc/src/tests/
H A Dlxc-test-lxc-attach33 # lxc-attach -n busy -- hostname < /dev/null
36 # /dev/null is (a) left alone and (b) that lxc-attach does not fail. When
77 # stdin --> /dev/null
80 attach=$(lxc-attach -n busy -- hostname < /dev/null || FAIL "to allocate or setup pty")
82 FAIL "lxc-attach -n busy -- hostname < /dev/null"
86 # stdout --> /dev/null
88 attach=$(lxc-attach -n busy -- hostname > /dev/null || FAIL "to allocate or setup pty")
90 FAIL "lxc-attach -n busy -- hostname > /dev/null"
95 # stderr --> /dev/null
96 attach=$(lxc-attach -n busy -- hostname 2> /dev/nul
[all...]
H A Dlxc-test-autostart27 lxc-destroy -n $CONTAINER_NAME >/dev/null 2>&1 || true
37 if type dpkg >/dev/null 2>&1; then
51 rels=$(ubuntu-distro-info --supported 2>/dev/null) ||
H A Dlxc-test-snapdeps39 lxc-destroy -n snapdeptest$i > /dev/null 2>&1 || true
41 lxc-destroy -n snapdeptest > /dev/null 2>&1 || true
H A Dlxc-test-usernic.in49 ) >/dev/null 2>&1
67 if type dpkg >/dev/null 2>&1; then
88 if which cgm >/dev/null 2>&1; then
96 string:$d string:usernic-user >/dev/null
100 string:$d string:usernic-user int32:$(id -u usernic-user) int32:$(id -g usernic-user) >/dev/null
104 string:$d string:usernic-user int32:$$ >/dev/null
132 if type dpkg >/dev/null 2>&1; then
140 rels=$(ubuntu-distro-info --supported 2>/dev/null) ||
H A Dlxc-test-unpriv65 which newuidmap >/dev/null 2>&1 || { echo "'newuidmap' command is missing" >&2; exit 1; }
101 if type dpkg >/dev/null 2>&1; then
131 if which cgm >/dev/null 2>&1; then
139 string:$d string:$TUSER >/dev/null
143 string:$d string:$TUSER int32:$(id -u $TUSER) int32:$(id -g $TUSER) >/dev/null
147 string:$d string:$TUSER int32:$$ >/dev/null
162 rels=$(ubuntu-distro-info --supported 2>/dev/null) ||
198 if which cgm >/dev/null 2>&1; then
H A Dlxc-test-apparmor-mount82 which newuidmap >/dev/null 2>&1 || { echo "'newuidmap' command is missing" >&2; exit 1; }
88 if type dpkg >/dev/null 2>&1; then
115 if which cgm >/dev/null 2>&1; then
123 string:$d string:$TUSER >/dev/null
127 string:$d string:$TUSER int32:$(id -u $TUSER) int32:$(id -g $TUSER) >/dev/null
131 string:$d string:$TUSER int32:$$ >/dev/null
152 rels=$(ubuntu-distro-info --supported 2>/dev/null) ||
H A Dlxc-test-ubuntu47 if which uuidgen 2>&1 > /dev/null; then
/lxc/templates/
H A Dlxc-busybox.in50 echo /{,usr/}{,s}bin | grep $dir_path >/dev/null 2>&1
73 $rootfs/dev \
88 $rootfs/dev/pts \
89 $rootfs/dev/shm \
98 pushd $rootfs/dev > /dev/null || return 1
102 for dev in tty console tty0 tty1 ram0 null urandom; do
103 echo "lxc.mount.entry = /dev/$dev dev/
[all...]
H A Dlxc-fedora.in255 dev_path="${rootfs_path}/dev"
275 # setup console and tty[1-4] for login. note that /dev/console and
276 # /dev/tty[1-4] will be symlinks to the ptys /dev/lxc/console and
277 # /dev/lxc/tty[1-4] so that package updates can overwrite the symlinks.
278 # lxc will maintain these links and bind mount ptys over /dev/lxc/*
314 mount -o bind /dev ${rootfs_path}/dev
332 umount ${rootfs_path}/dev
337 # give us a console on /dev/consol
[all...]
H A Dlxc-alpine.in52 if ! ls "$APK_KEYS_DIR"/alpine* >/dev/null 2>&1; then
190 cd - >/dev/null
260 cd - >/dev/null
272 mkdir -p -m 755 dev/pts
273 mkdir -p -m 1777 dev/shm
275 mknod -m 666 dev/zero c 1 5
276 mknod -m 666 dev/full c 1 7
277 mknod -m 666 dev/random c 1 8
278 mknod -m 666 dev/urandom c 1 9
281 mknod -m 620 dev/tt
[all...]
H A Dlxc-ubuntu-cloud.in92 grep -q "^lxc.rootfs" $path/config 2>/dev/null || echo "lxc.rootfs = $rootfs" >> $path/config
116 # rmdir /dev/shm for containers that have /run/shm
117 # I'm afraid of doing rm -rf $rootfs/dev/shm, in case it did
121 if [ ! -L $rootfs/dev/shm ] && [ -e $rootfs/dev/shm ]; then
122 rmdir $rootfs/dev/shm 2>/dev/null || mv $rootfs/dev/shm $rootfs/dev/shm.bak
123 ln -s /run/shm $rootfs/dev/sh
[all...]
H A Dlxc-download.in86 if ! wget_wrapper -T 30 -q https://${DOWNLOAD_SERVER}/$1 -O $2 >/dev/null 2>&1; then
87 if ! wget_wrapper -T 30 -q http://${DOWNLOAD_SERVER}/$1 -O $2 >/dev/null 2>&1; then
136 --recv-keys ${DOWNLOAD_KEYID} >/dev/null 2>&1; then
159 if ! gpg --verify $1 >/dev/zero 2>&1; then
262 if ! type $bin >/dev/null 2>&1; then
270 if ! type gpg >/dev/null 2>&1; then
309 if ! type mktemp >/dev/null 2>&1; then
493 chown -R $LXC_MAPPED_UID $LXC_CACHE_BASE >/dev/null 2>&1 || true
496 chgrp -R $LXC_MAPPED_GID $LXC_CACHE_BASE >/dev/null 2>&1 || true
518 mkdir -p ${LXC_ROOTFS}/dev/pt
[all...]
H A Dlxc-centos.in273 /dev/root / rootfs defaults 0 0
290 mkdir -p /dev/shm
291 mount -t tmpfs -o nosuid,nodev tmpfs /dev/shm
303 echo "/dev/root / rootfs defaults 0 0" > /etc/mtab
315 dev_path="${rootfs_path}/dev"
335 # setup console and tty[1-4] for login. note that /dev/console and
336 # /dev/tty[1-4] will be symlinks to the ptys /dev/lxc/console and
337 # /dev/lxc/tty[1-4] so that package updates can overwrite the symlinks.
338 # lxc will maintain these links and bind mount ptys over /dev/lx
[all...]
H A Dlxc-ubuntu.in68 if which btrfs >/dev/null 2>&1 && is_btrfs $(dirname $path); then
79 if which btrfs >/dev/null 2>&1 && is_btrfs_subvolume $path; then
184 chroot $rootfs groupadd --system $group >/dev/null 2>&1 || true
185 chroot $rootfs adduser ${user} $group >/dev/null 2>&1 || true
351 if which dpkg >/dev/null 2>&1; then
435 if which btrfs >/dev/null 2>&1 && is_btrfs_subvolume $cache/rootfs-$arch && is_btrfs_subvolume $rootfs; then
532 grep -q "^lxc.rootfs" $path/config 2>/dev/null || echo "lxc.rootfs = $rootfs" >> $path/config
566 if [ -x "$(ls -1 ${rootfs}/usr/bin/qemu-*-static 2>/dev/null)" ]; then
618 # rmdir /dev/shm for containers that have /run/shm
619 # I'm afraid of doing rm -rf $rootfs/dev/sh
[all...]
H A Dlxc-sparclinux.in55 if which btrfs >/dev/null 2>&1 && \
56 btrfs subvolume list "$1" >/dev/null 2>&1; then
64 if which chcon >/dev/null 2>&1; then
65 selinuxenabled >/dev/null 2>&1
120 # ensure /dev/ptmx refers to the newinstance devpts of the container, or
122 rm -f $container_rootfs/dev/ptmx
123 ln -s pts/ptmx $container_rootfs/dev/ptmx
126 sed -i 's|cat /proc/self/attr/current|cat /proc/self/attr/current 2>/dev/null|' $container_rootfs/etc/rc.sysinit
127 sed -i 's|cat /proc/self/attr/current|cat /proc/self/attr/current 2>/dev/null|' $container_rootfs/etc/rc.d/rc.sysinit
172 # dont try to unmount /dev/lx
[all...]
H A Dlxc-slackware.in106 DEV=$rootfs/dev
224 echo "Saving random seed from /dev/urandom in /etc/random-seed."
272 if /bin/egrep -q "FAIL|SCRAM" /etc/upsstatus 2> /dev/null ; then
306 /sbin/mount -v proc /proc -n -t proc 2> /dev/null
338 /sbin/swapon -a 2> /dev/null
372 echo "Using /etc/random-seed to initialize /dev/urandom."
406 chmod 755 / 2> /dev/null
422 if find /usr/share/icons 2> /dev/null | grep -q icon-theme.cache ; then
456 if grep `echo ${1}: | cut -f 1 -d :`: /proc/net/dev 1> /dev/nul
[all...]
H A Dlxc-opensuse.in88 # set /dev/console as securetty
96 ROOTFS_BLKDEV="/dev/null"
101 ln -s /dev/null $rootfs/etc/systemd/system/proc-sys-fs-binfmt_misc.automount
102 ln -s /dev/null $rootfs/etc/systemd/system/console-shell.service
103 ln -s /dev/null $rootfs/etc/systemd/system/systemd-vconsole-setup.service
217 rm -fr $cache/partial-$arch/dev
218 # make sure we have a minimal /dev
219 mkdir -p "$cache/partial-$arch/dev"
220 mknod -m 666 $cache/partial-$arch/dev/null c 1 3
221 mknod -m 666 $cache/partial-$arch/dev/zer
[all...]
H A Dlxc-oracle.in51 if which btrfs >/dev/null 2>&1 && \
52 btrfs subvolume list "$1" >/dev/null 2>&1; then
60 if which chcon >/dev/null 2>&1; then
61 selinuxenabled >/dev/null 2>&1
141 # ensure /dev/ptmx refers to the newinstance devpts of the container, or
143 rm -f $container_rootfs/dev/ptmx
144 ln -s pts/ptmx $container_rootfs/dev/ptmx
152 # "ConditionalPathExists=/dev/tty0" line or no gettys are started on
163 # We only want to spawn a getty on /dev/console in lxc, libvirt-lxc
164 # symlinks /dev/consol
[all...]
H A Dlxc-sshd.in47 $rootfs/dev/shm \
130 grep -q "^lxc.rootfs" $path/config 2>/dev/null || echo "lxc.rootfs = $rootfs" >> $path/config
139 lxc.mount.entry = /dev dev none ro,bind 0 0
253 if grep -q '^lxc.rootfs' $config 2>/dev/null ; then
H A Dlxc-openmandriva.in85 echo -n "Create devices in /dev/"
86 dev_path="${rootfs_path}/dev"
170 chroot ${rootfs_path} ln -s /dev/null /etc/systemd/system/proc-sys-fs-binfmt_misc.automount
171 chroot ${rootfs_path} ln -s /dev/null /etc/systemd/system/systemd-udevd.service
172 chroot ${rootfs_path} ln -s /dev/null /etc/systemd/system/systemd-udevd-control.socket
173 chroot ${rootfs_path} ln -s /dev/null /etc/systemd/system/systemd-udevd-kernel.socket
180 sed -i 's!ConditionPathExists=/dev/tty0!ConditionPathExists=|/dev/tty0\nConditionVirtualization=|lxc!' \
229 grep -q "^lxc.rootfs" $config_path/config 2>/dev/null || echo "lxc.rootfs = $rootfs_path" >> $config_path/config
270 # /dev/nul
[all...]
H A Dlxc-altlinux.in113 chroot ${rootfs_path} chkconfig $service --list &>/dev/null && chroot ${rootfs_path} chkconfig $service on || true
115 chroot ${rootfs_path} systemctl -q enable $service &>/dev/null|| true
120 chroot ${rootfs_path} chkconfig $service --list &>/dev/null && chroot ${rootfs_path} chkconfig $service off || true
121 chroot ${rootfs_path} systemctl -q disable $service &>/dev/null || true
128 subst 's,\/dev\/tty12,/var/log/syslog/console,' ${rootfs_path}/etc/syslog.conf
130 dev_path="${rootfs_path}/dev"
187 # some scripts want to have /dev/null at least
188 dev_path="$INSTALL_ROOT/dev"
268 grep -q "^lxc.rootfs" $config_path/config 2>/dev/null || echo "lxc.rootfs = $rootfs_path" >> $config_path/config
308 # /dev/nul
[all...]
H A Dlxc-archlinux.in107 -e 's/After=dev-%i.device/After=/' \
127 # bind getty instances to /dev/<devttydir>/tty* if lxc.devttydir is set
152 grep -q "^lxc.arch" "${config}" 2>/dev/null \
154 grep -q "^lxc.rootfs" "${config}" 2>/dev/null \
252 type pacman >/dev/null 2>&1
322 ln -s /dev/null "${rootfs_path}/etc/systemd/system/${unit}"
/lxc/config/init/common/
H A Dlxc-net.in29 iptables -w -L -n > /dev/null 2>&1 || use_iptables_lock=""
41 ip addr flush dev $1
42 ip link set dev $1 down
48 ip addr add ${CIDR_ADDR} dev $1
49 ip link set dev $1 address $LXC_BRIDGE_MAC
50 ip link set dev $1 up
77 [ ! -d /sys/class/net/${LXC_BRIDGE} ] && ip link add dev ${LXC_BRIDGE} type bridge
86 if which restorecon >/dev/null 2>&1; then
97 ip -6 addr add dev ${LXC_BRIDGE} ${LXC_IPV6_ADDR}/${LXC_IPV6_MASK}
125 if getent passwd ${DNSMASQ_USER} >/dev/nul
[all...]
/lxc/src/lxc/tools/
H A Dlxc-checkconfig.in22 $CAT $CONFIG | grep "$1=[y|m]" > /dev/null
51 MODULEFILE=$(modinfo -k $KVER -n $MODNAME 2> /dev/null)
71 if gunzip -tq < $CONFIG 2>/dev/null; then
92 if type newuidmap > /dev/null 2>&1; then
100 if type newgidmap > /dev/null 2>&1; then
111 echo -n "Multiple /dev/pts instances: " && is_enabled DEVPTS_MULTIPLE_INSTANCES
/lxc/src/lxc/bdev/
H A Dlxczfs.c54 f = lxc_popen("zfs list 2> /dev/null");
150 char dev[MAXPATHLEN]; local
151 ret = snprintf(dev, MAXPATHLEN, "%s/%s", zfsroot, nname);
154 execlp("zfs", "zfs", "create", option, dev, (char *)NULL);
174 int dev0 = open("/dev/null", O_WRONLY);
293 char dev[MAXPATHLEN]; local
294 ret = snprintf(dev, MAXPATHLEN, "%s/%s", zfsroot, n);
298 execlp("zfs", "zfs", "create", option, dev, (char *)NULL);

Completed in 344 milliseconds

12